# DocumentEditorSettings Object

> Document editor settings.

- **Product:** DS Server
- **Section:** Reference
- **Kind:** Object
- **Introduced:** 32.0
- **Path:** DS Server > Reference > JavaScript API > DocumentEditorSettings Object
- **851 words**
- **Web URL:** https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/
- **LLMs URL:** https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/llms.txt
- **LLMs-Full URL:** https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/llms-full.txt

---

### Description

Document editor settings.

### Syntax

```javascript
{
   [culture: <string>],
   [uiCulture: <string>],
   [editMode: <EditMode>],
   [contextMenusEnabled: <boolean>],
   [formattingPrinter: <string>],
   [reconnectTimeout: <number>],
   [userNames: <string[]>],
   [customQueryParams: <Object>],
   [connectionID: <string>],
   [webSocketProtocols: <string[]>]
}
```

### Examples

The following example demonstrates `DocumentEditorSettings` in a practical document-editing workflow. Document editor settings.

```javascript
function inspectDocumentEditorSettings(documentEditorSettings) {
    console.log("culture:", documentEditorSettings.culture);
    console.log("ui culture:", documentEditorSettings.uiCulture);
    console.log("edit mode:", documentEditorSettings.editMode);
    console.log("context menus enabled:", documentEditorSettings.contextMenusEnabled);
}
```

---

## In This Section

- [Javascript: DocumentEditorSettings.connectionID Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/connectionid-property/llms-full.txt): Optional. The unique connection ID string.
- [Javascript: DocumentEditorSettings.contextMenusEnabled Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/contextmenusenabled-property/llms-full.txt): Optional. Sets whether a right click opens a context menu or not.
- [Javascript: DocumentEditorSettings.culture Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/culture-property/llms-full.txt): Optional. The culture. (e. g. 'de-DE') Affects date and time string formats, for example.
- [Javascript: DocumentEditorSettings.customQueryParams Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/customqueryparams-property/llms-full.txt): Optional. Custom query parameters.
- [Javascript: DocumentEditorSettings.editMode Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/editmode-property/llms-full.txt): Optional. Sets whether the document's text is read-only, can be selected or is editable.
- [Javascript: DocumentEditorSettings.formattingPrinter Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/formattingprinter-property/llms-full.txt): Optional. The name of a printer the text dimensions and capabilities of which are used to format the document.
- [Javascript: DocumentEditorSettings.reconnectTimeout Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/reconnecttimeout-property/llms-full.txt): Optional. Time in seconds before stopping reconnection attempts after a connection loss.
- [Javascript: DocumentEditorSettings.uiCulture Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/uiculture-property/llms-full.txt): Optional. The user interface culture. (e. g. 'en-US') Affects the string resource language.
- [Javascript: DocumentEditorSettings.userNames Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/usernames-property/llms-full.txt): Optional. An array of names specifying users who have access to editable regions. When a document is set to read-only all editable regions that are related to these users can be edited.
- [Javascript: DocumentEditorSettings.webSocketProtocols Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/websocketprotocols-property/llms-full.txt): Optional. An array of additional WebSocket sub-protocols to be passed to the WebSocket constructor. Can be used in order to pass authentication tokens, for example.

---

## Nearby

- **Previous:** [Javascript: Distances.top Property](https://docs.textcontrol.com/ds-server/reference/javascript/distances/top-property/llms-full.txt)
- **Next:** [Javascript: DocumentEditorSettings.connectionID Property](https://docs.textcontrol.com/ds-server/reference/javascript/documenteditorsettings/connectionid-property/llms-full.txt)
